import { PayloadTemplateType } from '../types/State';
import { PayloadTemplate } from './PayloadTemplate';
export declare class ParameterPayloadTemplate extends PayloadTemplate {
    private readonly _payload;
    private static acceptableParameterProperties;
    constructor(_payload: PayloadTemplateType);
    static create(payload: PayloadTemplateType): ParameterPayloadTemplate;
    protected processPathKey(key: string, value: unknown, inputJson: string): Record<string, unknown>;
    process(inputJson: string): Record<string, unknown>;
}
