import type { CLIOptions, ServerlessOfflineStepFunctionsCommands } from './types/ServerlessOfflineStepFunctionsCommands';
import type { ServerlessOfflineHooks } from './types/ServerlessOfflineHooks';
declare class ServerlessOfflineStepFunctionsPlugin {
    hooks?: ServerlessOfflineHooks;
    commands: ServerlessOfflineStepFunctionsCommands;
    private serverless;
    private cliOptions;
    private options?;
    private stepFunctionSimulatorServer?;
    private logger;
    constructor(serverless: Record<any, any>, cliOptions: CLIOptions);
    private start;
    private ready;
    private end;
    private mergeOptions;
    private getFunctionName;
    private setStateInfo;
    private resolveHandlers;
}
export = ServerlessOfflineStepFunctionsPlugin;
