import { TaskRetryRule } from './State';
import { StatesErrors } from './StatesErrors';
export declare class Retrier {
    private readonly _ErrorEquals;
    private readonly _IntervalSeconds;
    private readonly _MaxAttempts;
    private readonly _BackoffRate;
    private _currentNumberOfRetries;
    private _currentIntervalSeconds;
    private constructor();
    static create(taskRetryRule: TaskRetryRule): Retrier;
    shouldRetry(): boolean;
    retried(): void;
    get currentNumberOfRetries(): number;
    get currentIntervalSeconds(): number;
    get ErrorEquals(): StatesErrors[];
}
