"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StateContext = void 0;
class StateContext {
    constructor(_enteredTime, _name, _retryCount) {
        this._enteredTime = _enteredTime;
        this._name = _name;
        this._retryCount = _retryCount;
    }
    static create(name, retryCount = 0) {
        return new StateContext(new Date().toISOString(), name, retryCount);
    }
    get Name() {
        return this._name;
    }
    get EnteredTime() {
        return this._enteredTime;
    }
    get RetryCount() {
        return this._retryCount;
    }
}
exports.StateContext = StateContext;
