import { StateMachineDefinition, StateMachineDescription } from '../types/StateMachineDescription';
export declare class StateMachine {
    private readonly _stateMachineKey;
    private readonly _stateMachineDescription;
    private constructor();
    static create(stateMachineKey: string, stateMachineDescription: StateMachineDescription): StateMachine;
    get definition(): StateMachineDefinition;
    get name(): string;
}
