import { TaskCatchRule } from './State';
import { StatesErrors } from './StatesErrors';
export declare class Catcher {
    private readonly _ErrorEquals;
    private readonly _Next;
    private readonly _ResultPath?;
    private constructor();
    static create(taskCatchRule: TaskCatchRule): Catcher;
    get Next(): string;
    get ErrorEquals(): StatesErrors[];
    get ResultPath(): string | undefined;
    includesSomeOf(statesErrors: StatesErrors[]): boolean;
}
