import type { StateDefinition } from './State';
export declare type StateMachineDefinition = {
    StartAt: string;
    States: {
        [stateName: string]: StateDefinition;
    };
};
export declare type StateMachineDescription = {
    name?: string;
    definition: StateMachineDefinition;
};
export declare type StateMachinesDescription = {
    [key: string]: StateMachineDescription;
};
